---
apiVersion: v1
kind: Service
metadata:
  labels:
    container: main
  name: main
spec:
  ports:
  - name: main-80-tcp
    port: 80
    targetPort: 80
  selector:
    container: main
    is-container: 'true'
  type: ClusterIP

---
apiVersion: v1
kind: Service
metadata:
  annotations:
    metallb.universe.tf/address-pool: tailscale
    metallb.universe.tf/allow-shared-ip: ip_set_tailscale
  name: nirvati-internal-main-public-tailscale
spec:
  ports:
  - name: main-public-53-tcp
    port: 53
    targetPort: 53
  - name: main-public-53-udp
    port: 53
    protocol: UDP
    targetPort: 53
  - name: main-public-67-udp
    port: 67
    protocol: UDP
    targetPort: 67
  selector:
    container: main
    is-container: 'true'
  type: LoadBalancer

---
apiVersion: v1
kind: Service
metadata:
  annotations:
    metallb.universe.tf/address-pool: default
    metallb.universe.tf/allow-shared-ip: ip_set_main
  labels:
    container: main
  name: main-public
spec:
  ports:
  - name: main-public-53-tcp
    port: 53
    targetPort: 53
  - name: main-public-53-udp
    port: 53
    protocol: UDP
    targetPort: 53
  - name: main-public-67-udp
    port: 67
    protocol: UDP
    targetPort: 67
  selector:
    container: main
    is-container: 'true'
  type: LoadBalancer

